Cathedra Bitcoin Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.cathedra.com/_resources/financials/CBIT-2025Q1-FS.pdf?v=022406",
    "holding_balance": 50.55,
    "holding_net_change": 2.45,
    "transaction_value_usd": 202206.0705,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1751241600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.cathedra.com/_resources/financials/CBIT-2025Q2-FS.pdf?v=022406",
    "holding_balance": 0.58,
    "holding_net_change": -49.97,
    "transaction_value_usd": 5356947.4019,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.cathedra.com/_resources/financials/CBIT-2025Q3-FS.pdf?v=022406",
    "holding_balance": 7.57,
    "holding_net_change": 6.99,
    "transaction_value_usd": 797744.6544,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    7.57
  ],
  [
    1779062400000,
    7.57
  ],
  [
    1779148800000,
    7.57
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    586144.0402
  ],
  [
    1779062400000,
    582468.1239
  ],
  [
    1779148800000,
    581073.2757
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.36,
    "date": "2026-05-14",
    "high": 0.36,
    "open": 0.36,
    "close": 0.36,
    "volume": 6500
  },
  {
    "low": 0.36,
    "date": "2026-05-15",
    "high": 0.36,
    "open": 0.36,
    "close": 0.36,
    "volume": 0
  },
  {
    "low": 0.35,
    "date": "2026-05-19",
    "high": 0.365,
    "open": 0.365,
    "close": 0.35,
    "volume": 28670
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.01
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.37,
  "six_month_return": -75.69,
  "three_month_return": -37.5
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cathedra-bitcoin-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 18.2,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}